package com.grkj.iscs.view.presenter

import com.grkj.iscs.model.vo.ticket.WorkstationTicketListRespVO
import com.grkj.iscs.util.Executor
import com.grkj.iscs.util.NetApi
import com.grkj.iscs.view.base.BasePresenter
import com.grkj.iscs.view.iview.IWorkshopView

class WorkshopPresenter : BasePresenter<IWorkshopView>() {

    fun getWorkstationTicketList(callBack: (MutableList<WorkstationTicketListRespVO>?) -> Unit) {
        NetApi.getWorkstationTicketList(0, 100) {
            Executor.runOnMain {
                callBack(it)
            }
        }
    }
}